ProcessorParam (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.ProcessorParam class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks
Class ProcessorParam

    java.lang.Object
      net.sf.antcontrib.cpptasks.ProcessorParam

Direct Known Subclasses:
  CompilerParam, LinkerParam

    public class ProcessorParam

extends java.lang.Object

Place class description here.

Since:
Author:
  inger,

Constructor Summary
`ProcessorParam()`

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getValue()`
`boolean` | `isActive(org.apache.tools.ant.Project p)` Returns true if the define's if and unless conditions (if any) are satisfied.
`void` | `setIf(java.lang.String propName)` Sets the property name for the 'if' condition.
`void` | `setName(java.lang.String name)` Specifies relative location of argument on command line.
`void` | `setUnless(java.lang.String propName)` Set the property name for the 'unless' condition.
`void` | `setValue(java.lang.String value)` Specifies the string that should appear on the command line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessorParam

    public ProcessorParam()

Method Detail

### getName

    public java.lang.String getName()

### getValue

    public java.lang.String getValue()

### isActive

    public boolean isActive(org.apache.tools.ant.Project p)

  Returns true if the define's if and unless conditions (if any) are satisfied.

### setIf

    public void setIf(java.lang.String propName)

  Sets the property name for the 'if' condition. The argument will be ignored unless the property is defined. The value of the property is insignificant, but values that would imply misinterpretation ("false", "no") will throw an exception when evaluated.

### setName

    public void setName(java.lang.String name)

  Specifies relative location of argument on command line. "start" will place argument at start of command line, "mid" will place argument after all "start" arguments but before filenames, "end" will place argument after filenames.

### setUnless

    public void setUnless(java.lang.String propName)

  Set the property name for the 'unless' condition. If named property is set, the argument will be ignored. The value of the property is insignificant, but values that would imply misinterpretation ("false", "no") of the behavior will throw an exception when evaluated.

  Parameters:
    `propName` - name of property

### setValue

    public void setValue(java.lang.String value)

  Specifies the string that should appear on the command line. The argument will be quoted if it contains embedded blanks. Use multiple arguments to avoid quoting.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.